import animatedobject
import level
import spider

def init(world):
#	world.addTrigger('test','F',"dummy",('destination'),world.triggerTile)
#	world.addTrigger('test2','F',"dummy",('destination'),world.triggerTile)

#	world.addTrigger('test','E',"teleport",('test2','F'),world.triggerTile)
#	world.addTrigger('test2','E',"teleport",('test','F'),world.triggerTile)

#	world.addTrigger('test','T',"teleport",('AF', 'T'),world.triggerTile)
#	world.addTrigger('AF','T',"dummy",('dest'),world.triggerTile)

	world.addTrigger('AA','a',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AB','b',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AC','c',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AD','d',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AG','g',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AH','h',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AI','i',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AJ','j',"dummy",('dest'),world.triggerTile)

	world.addTrigger('AF','a',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','b',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','c',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','d',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','g',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','h',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','i',"dummy",('dest'),world.triggerTile)
	world.addTrigger('AF','j',"dummy",('dest'),world.triggerTile)
	
	world.addTrigger('AF','A',"teleport",('AA','a'),world.triggerTile)
	world.addTrigger('AF','B',"teleport",('AB','b'),world.triggerTile)
	world.addTrigger('AF','C',"teleport",('AC','c'),world.triggerTile)
	world.addTrigger('AF','D',"teleport",('AD','d'),world.triggerTile)
	world.addTrigger('AF','G',"teleport",('AG','g'),world.triggerTile)
	world.addTrigger('AF','H',"teleport",('AH','h'),world.triggerTile)
	world.addTrigger('AF','I',"teleport",('AI','i'),world.triggerTile)
	world.addTrigger('AF','J',"teleport",('AJ','j'),world.triggerTile)

	world.addTrigger('AA','A',"teleport",('AF','a'),world.triggerTile)
	world.addTrigger('AB','B',"teleport",('AF','b'),world.triggerTile)
	world.addTrigger('AC','C',"teleport",('AF','c'),world.triggerTile)
	world.addTrigger('AD','D',"teleport",('AF','d'),world.triggerTile)
	world.addTrigger('AG','G',"teleport",('AF','g'),world.triggerTile)
	world.addTrigger('AH','H',"teleport",('AF','h'),world.triggerTile)
	world.addTrigger('AI','I',"teleport",('AF','i'),world.triggerTile)
	world.addTrigger('AJ','J',"teleport",('AF','j'),world.triggerTile)

	# Create and place objects
	uobj = {}
	oobj = [('chip','AA', 'c'),('candle','AA','d'),('bomb','AA','b'),('key','AA','k'),('floppy','AA','f')]	
	for o,le,ch in oobj:
		uobj[o] = animatedobject.AnimatedObject()
		uobj[o].objectName = o
		uobj[o].setAnimation('still',1000)
		uobj[o].sizex = 0.6
		uobj[o].sizey = 0.6
		uobj[o].visible = True
		uobj[o].offset = (0.7,0.4)
	
		if o!='key':
			x,y = world.levels[le].triggers[ch][0]
			uobj[o].setPos(x,y)
			world.levels[le].objects.append(uobj[o])
			world.addTrigger(le,ch,"getObject",(o,le,ch),world.triggerTile)

	otto= spider.Spider()
	otto.setAnimation('attack', 40)
	otto.visible = True
	otto.setPos(10,10)
	world.levels['BA'].objects.append(otto)

	world.uobj = uobj
	world.visitedstuff = {}
def getObject(world,args):
	obj, lev, trig = args
	print "Got" + obj
	world.triggers.pop((lev, world.levels[lev].triggers[trig][0])) 
	world.uobj[obj].visible = False
	world.addToInventory(obj)

def teleport(world,args):
	dlevel,dspot = args
	dest = world.levels[dlevel].triggers.get(dspot)
	(x,y) = dest[-1]
	world.currentLevel = dlevel
	world.player.posx = x+0.5
	world.player.posy = y+0.5
	print (dlevel,dspot)

def dummy(world,args):
	#print args
	pass

def checkStuff(world):
	if world.currentLevel == 'AF' and not world.visited('AF'):
		world.setVisited('AF') 
		world.printString = ( "[RZ3] Hello!.. Wake Up!\n-Uh?\n[RZ3] I am your PDA you silly.\n-Uh?\n[RZ3] I'm in your inventory, \n press space to bring it up.\n-Oh right. I'm sorry..\n-Let's find Otto ASAP\n (You know, he who..\n DISAPPEARED!)", 2,5,0.3,0.3,0.2,0.4)

	if world.currentLevel == 'AA' and not world.visited('AA'):
		world.printString = ("",0,0,0,0,0,0)


	if world.currentLevel == 'AF' and world.useItem and world.imenu.select() == 'pda':
		world.printString = ( "BLIP BLOP!",2,5,0.3,0.3,0.2,0.4)	

	if world.currentLevel == 'AJ' and not world.visited('unlocked') and not world.visited('upgraded') and not world.visited('oldhardware'):
		world.printString = ( "[RZ3] Oh.. WLAN detected.\n",2,5,0.3,0.3,0.2,0.4)	
	
	if world.currentLevel == 'AJ' and not world.visited('unlocked') and world.useItem and world.imenu.select() == 'pda':
		world.printString = ( "[RZ3] Sorry, my hardware is\n to old to intercept\n this network..\n",2,5,0.3,0.3,0.2,0.4)	
		world.setVisited("oldhardware")
			
	if world.currentLevel == 'AJ' and world.visited('upgraded') and world.useItem and world.imenu.select() == 'chip' and not world.visited('unlocked'):

		world.printString = ( "[RZ3] Oh.. hot circuit!\n[RZ3] Let's see..\n* [RZ3] I'm sorry.. \n This network is \n encrypted.\n[RZ3] PDAs weren't made\n for cracking crypto..",-4,5,0.3,0.3,0.2,0.4)	
		world.setVisited('upgraded')

	if world.currentLevel == 'AJ' and world.useItem and world.imenu.select() == 'key' and not world.visited('unlocked'):
		world.printString = ( "[RZ3] Oh.. cute, hiding a \n wireless key in a key!\n[RZ3] Let's hack..\n*HACK*HACK* BLIP!\n[RZ3] I've unlocked the elevator for you..",-4,5,0.3,0.3,0.2,0.4)	
		world.setVisited('unlocked')
		world.addTrigger('AF','z',"teleport",('BA','d'),world.triggerTile)
		world.addTrigger('BA','d',"dummy",('BA','d'),world.triggerTile)
		
	if world.currentLevel == 'AC' and not world.visited('AClight'):
		world.printString = ( "-Pretty dark here. Huh?",2,5,0.3,0.3,0.2,0.4)	
		

	if world.currentLevel == 'AC' and world.useItem and world.imenu.select() == 'candle':	

			world.levels['AC'] = level.Level("AC",world.ts)
			world.addTrigger('AC','C',"teleport",('AF','c'),world.triggerTile)
			world.addTrigger('AC','c',"dummy",('dest'),world.triggerTile)
			x,y = world.levels['AC'].triggers['K'][0]
			world.uobj['key'].setPos(x,y)
			world.levels['AC'].objects.append(world.uobj['key'])
			world.levels['AC'].objects.append(world.player)
			world.addTrigger('AC','K',"getObject",('key','AC','K'),world.triggerTile)
			world.printString = ( "-Oh, light!",2,5,0.3,0.3,0.2,0.4)	
			world.setVisited('AClight')


	if world.currentLevel == 'BA' and world.useItem and world.imenu.select() == 'leash':
		world.printString = ( "You found Otto =)",-4,5,0.8,0.8,0.8,0.8)	


